Recent Topics

I am getting the same error again and again



  • Hi, am very curious for the laravel, bagisto. i have shared linux hosting.
    let me know what i am missing here.

    upon lot of RnD i found out pdo_mysql is enable and nd_pdo_mysql is disable. need to do enable nd_pdo_mysql?? n how in php.ini file? Thanks in Advance.

    "Migrating: 2018_06_13_055341_create_roles_tableIn Connection.php line 671: SQLSTATE[42000]: Syntax error or access violation: 1064 You have an error i n your SQL syntax; check the manual that corresponds to your MySQL server v ersion for the right syntax to use near 'json null, created_at timestamp null, updated_at timestamp null) default cha' at line 1 (SQL: create tabl e roles (id int unsigned not null auto_increment primary key, name va rchar(191) not null, description varchar(191) null, permission_type var char(191) not null, permissions json null, created_at timestamp null, updated_at timestamp null) default character set utf8mb4 collate 'utf8mb4_ unicode_ci' engine = InnoDB ROW_FORMAT=DYNAMIC)In PDOConnection.php line 63: SQLSTATE[42000]: Syntax error or access violation: 1064 You have an error i n your SQL syntax; check the manual that corresponds to your MySQL server v ersion for the right syntax to use near 'json null, created_at timestamp null, updated_at timestamp null) default cha' at line 1In PDOConnection.php line 61: SQLSTATE[42000]: Syntax error or access violation: 1064 You have an error i n your SQL syntax; check the manual that corresponds to your MySQL server v ersion for the right syntax to use near 'json null, created_at timestamp null, updated_at timestamp null) default cha' at line 1"



  • Hi @shallomc,

    Hi, MySQL version is not compatible. In most of the shared Linux hosting, they will give you 5.6. Try to contact your hosting provider.


Log in to reply